function [vol_out]=calCC_segmented(vol_comp_k,output_folder_path,k,ps,average_level,pixel_thr,data)

fprintf('\t\t  Analyzing component %d\n', k);

% Create folder to store results for each component
CComponent_folder_path = [output_folder_path '/' 'Component_' sprintf('%02d',k) ];

if (exist(CComponent_folder_path,'dir') ~= 7)
    mkdir(CComponent_folder_path);
end

cd(CComponent_folder_path);

vol_slices_comp= zeros(1,size(vol_comp_k,3));
vol_comp_image=vol_comp_k+1; %add one so background is 1 and region is 2

% Prepare figure
figure('Visible','Off'),hold off
colormap([1 1 1;0.5 0.5 0.5]) % colormap with background white and region gray

% === Run through all slices, save a figure of current component and determine area ====%
for no = 1:size(vol_comp_k,3)
    
    % Make image
    image(vol_comp_image(:,:,no));
    axis square; 
    title(['Component ', num2str(k),', Slice ',num2str(no)]);
    
    % Save image
    eval(['print -dtiff Slice_' num2str(no) '.tiff']);
    
    % Calculate area in this slice and save in vector
    area=bwarea(vol_comp_k(:,:,no)); 
    vol_slices_comp(1,no)=ps*area;
   
end

vol_out=sum(vol_slices_comp(:));

fileID=fopen('total_volume_details.txt','wt');
fprintf(fileID,'%s\n',data);
fprintf(fileID,'\n');
fprintf(fileID,'%6s \n','The threshold used is:');
fprintf(fileID,'%6.4f\n',average_level);
fprintf(fileID,'\n');
fprintf(fileID,'%6s\n','For the given pixel size [cubic micrometers]:');
fprintf(fileID,'%6.4f\n',ps);
fprintf(fileID,'\n');
fprintf(fileID,'%6s\n','For the given pixel threshold:');
fprintf(fileID,'%6.0f\n',pixel_thr);
fprintf(fileID,'\n');
fprintf(fileID,'%6s\n',['The total volume of component ' num2str(k) ' is:']);
fprintf(fileID,'%6.2f\n',vol_out);
fprintf(fileID,'\n');
fprintf(fileID,'%6s\n',['The volume of component ' num2str(k) ' in each cross-section is:']);
fprintf(fileID,'%6.2f\n',vol_slices_comp);
fprintf(fileID,'\n');
fclose(fileID);

end
