function calCC_segmented_for_2D(vol_comp,number_of_comp,slice,output_folder_path,comp,ps,average_level,pixel_thr,data,home_folder)

% Create folder to store results for each component
subcomponent_folder_path = [output_folder_path filesep 'Component_' sprintf('%02d',comp) filesep 'Slice_' sprintf('%02d', slice)];

if (exist(subcomponent_folder_path,'dir') ~= 7)
    mkdir(subcomponent_folder_path);
end

cd(subcomponent_folder_path);

vol_subcomp= zeros(1,number_of_comp);

% Prepare figure
figure('Visible','Off'),hold off
colormap([1 1 1;0.5 0.5 0.5]) % colormap with background white and region gray

% === Run through all components, save a figure of current component and determine area ====%

for i=1:number_of_comp
    
    % Make image
    image(vol_comp==i)
    axis square; 
    title(['Slice ', num2str(slice),', subcomponent ',num2str(i)]);
    
    % Save image
    eval(['print -dtiff Subcomp_' num2str(i) '.tiff']);
    
    % Calculate area of this component and save in vector
    area=bwarea(vol_comp==i); 
    vol_subcomp(1,i)=ps*area;
   
end

close all

fileID=fopen('total_volume_details.txt','wt');
fprintf(fileID,'%s\n',data);
fprintf(fileID,'\n');
fprintf(fileID,'%6s \n','The threshold used is:');
fprintf(fileID,'%6.4f\n',average_level);
fprintf(fileID,'\n');
fprintf(fileID,'%6s\n','For the given pixel size [cubic micrometers]:');
fprintf(fileID,'%6.4f\n',ps);
fprintf(fileID,'\n');
fprintf(fileID,'%6s\n','For the given pixel threshold:');
fprintf(fileID,'%6.0f\n',pixel_thr);
fprintf(fileID,'\n');
for k=1:number_of_comp
    fprintf(fileID,'%6s',['The volume of subcomponent ' num2str(k) ' is: ']);
    fprintf(fileID,'%9.2f\n',vol_subcomp(1,k));
end
fclose(fileID);

cd(home_folder)
end
