function [ img_file_names, img_info] = parseFolder( aFolderPath)


    files = dir(aFolderPath);    
    num_files = length(files);
    num_im = 0;
    img_file_names=[];
    img_info.isMat = false;
    img_info.isDicom = false;
    img_info.isfits = false;
    img_info.fitsCompressed = false;
    img_info.dims = [];
    img_info.type = '';
    img_info.class = '';

    for i=1:num_files

        f = files(i);
        [~,~,ext] = fileparts(f.name);    

        %check if it is a directory
        if( f.isdir==1 )
            continue;
        end

        %check if it is an image
        if ( ~strcmpi(ext,'.dcm') && ~strcmpi(ext,'.bmp') && ~strcmpi(ext,'.gif') && ~strcmpi(ext,'.jpg') && ~strcmpi(ext,'.jpeg') && ~strcmpi(ext,'.tif') && ~strcmpi(ext,'.png') && ~strcmpi(ext,'.tiff') && ~strcmpi(ext,'.fits') && ~strcmpi(ext,'.mat'))            
            continue;
        end

        %get image dimensions
        if (num_im == 0)
            img_info.type = ext;
            if strcmpi(ext,'.fits')
                img_info.isfits = true;            
                [img_info.class, img_info.dims, img_info.fitsCompressed] = fits_parser([aFolderPath filesep f.name]);
            elseif strcmpi(ext,'.mat')
                img_info.isMat = true;
                load([aFolderPath filesep f.name]);
                if (exist('img','var') == 1)
                    img_info.dims = size(img);
                    img_info.class = class(img);
                    clear img;
                else
                    continue;
                end
            elseif strcmpi(ext,'.dcm')
                img_info.isDicom = true;
                img = dicomread([aFolderPath filesep f.name]);
                img_info.class = class(img);
                img_info.dims = size(img); 
                clear img;       
            else
                img = imread([aFolderPath filesep f.name]);
                img_info.class = class(img);
                img_info.dims = size(img); 
                clear img;                 
            end

        end
        
        num_im=num_im+1;
        img_file_names{num_im}= f.name;

    end
    
    img_info.dims(3) = num_im;

end

