function [ img ] = parseImage(anImagePath,img_info,sliceNumber)


if (img_info.isMat)  %v6 type proves to be the faster to load
    
    img = myLoadFcn(anImagePath); %file must contain a variable named 'img';
        
elseif (img_info.isDicom)  %v6 type proves to be the faster to load
    
    img = dicomread(anImagePath); %file must contain a variable named 'img';       

    
    fileID = fopen(anImagePath,'r');
    status = fseek(fileID, (img_info.dims(1)*img_info.dims(2)*bytesPerPixel*(sliceNumber-1)), 'bof'); %fseek to required slice
    
    if (status==0) %fseek was successfull
        img = fread(fileID,[img_info.dims(1) img_info.dims(2)],fread_precision);
    else
        fclose(fileID);
        error('ParseImage', ...
            ['Unable to read image at position ' num2str(sliceNumber) ]);
    end
    
    fclose(fileID);
else
    img =  imread(anImagePath) ; %standard image that can be handled by imread
end

end

function [img] = myLoadFcn(img_path)
    
    ImgData = load(img_path);
    VariableNames = fieldnames(ImgData);
    img = ImgData.(VariableNames{1});

end
